Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 216222 - Xorg fails to implement DRI with ATI r128 chip
Summary: Xorg fails to implement DRI with ATI r128 chip
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-04 18:25 UTC by erich f
Modified: 2009-07-28 13:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Contains 1)emerge --info, 2)xorg.conf, 3)Xorg.0.log (bug21622,66.54 KB, text/plain)
2008-04-04 18:35 UTC, erich f
Details

Note You need to log in before you can comment on or make changes to this bug.
Description erich f 2008-04-04 18:25:11 UTC
Tested with modules from the Kernel and xorg-server that pertain to
an r128 chip. Found that:

             1) Xserver doesn't come up at all with the kernel modules.
             2) Xserver comes up with xorg-server modules, but without
                DRI
             3) With a combination of both kernel and xorg-server modules
                the Xserver comes up; but, once again, no DRI.

It is case 3 that I've tested the most, and have the details

Reproducible: Always

Steps to Reproduce:
1.Build xorg-server with VIDEO_CARDS="r128"
2.Build the kernel with the pertinent modules
3.Run xorgconfig to get custom xorg.conf file. 
4.Type startx

Actual Results:  
Xserver came up (with twm). Typed glxinfo, and found DRI was not present

Expected Results:  
Expect DRI to be present.
Comment 1 erich f 2008-04-04 18:35:55 UTC
Created attachment 148642 [details]
Contains 1)emerge --info, 2)xorg.conf, 3)Xorg.0.log
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2008-04-05 17:52:23 UTC
possibly your configuration is bad
> (WW) R128(0): [agp] AGP failed to initialize -- falling back to PCI mode.
incomplete agp support in the kernel

> /usr/lib/dri/r128_dri.so: cannot open shared object file: No such file or directory
mesa compiled with wrong USE/VIDEO_CARDS flags
Comment 3 erich f 2008-04-07 05:41:14 UTC
See 82039,

       Something was fixed back in 2005 before Xorg was modularized. This bug
is now back when once it was fixed.

       Someting else has come up, and a Google search has shed no light for
me. The first occurence of an error in Xorg.0.log is

       (EE) R128(0): No DFP detected

       DFP means Digital Flat Panel. This suggests that, in an effort to
embrace new technology, Xorg is causing legacy code to break.
Comment 4 Rémi Cardona gentoo-dev 2009-07-28 13:55:37 UTC
Can you still reproduce with xorg-server 1.5 and a newer kernel?

Thanks